/*
	curlError.cpp
	
	Copyright (c) 2011 Innotronic Ingenieurbüro GmbH
*/


#include "curlError.h"

curlError::~curlError() throw()
{}

curlError::curlError( const char *reason )
	: std::runtime_error( std::string( reason ))
{}

curlError::curlError( const std::string &reason )
	: std::runtime_error( reason )
{}

curlError::curlError( const CURLcode code, const std::string &text )
	: std::runtime_error( text )
{}
