/*
	curlError.h
	
	Copyright (c) 2011 Innotronic Ingenieurbüro GmbH
*/


#include <string>
#include <sstream>
#include <stdexcept>

#include "curl/curl.h"


class curlError : public std::runtime_error
{
	public:
		curlError( const char *reason );
		curlError( const std::string &reason );
		curlError( const CURLcode code, const std::string &text  );
		
		virtual ~curlError() throw();
};

