/*
	xml2Error.cpp
	
	Copyright (c) 2011 Innotronic Ingenieurbüro GmbH
*/


#include "xml2Error.h"

xml2Error::~xml2Error() throw()
{}

xml2Error::xml2Error( const char *reason )
	: std::runtime_error( std::string( reason ))
{}

xml2Error::xml2Error( const std::string &reason )
	: std::runtime_error( reason )
{}

xml2Error::xml2Error( const xmlDocPtr xmlDoc, const std::string &reason )
	: std::runtime_error( reason )
{
	xmlFreeDoc( xmlDoc );
}


xml2Error::xml2Error( const xmlXPathContextPtr xpathCtx, const xmlDocPtr xmlDoc, const std::string &reason  )
	: std::runtime_error( reason )
{	
	xmlXPathFreeContext( xpathCtx );
	xmlFreeDoc( xmlDoc );
}
