/*
	xml2Error.h
	
	Copyright (c) 2011 Innotronic Ingenieurbüro GmbH
*/


#include <string>
#include <sstream>
#include <stdexcept>

#include <libxml/parser.h>
#include <libxml/xpath.h>


class xml2Error : public std::runtime_error
{
	public:
		xml2Error( const char *reason );
		xml2Error( const std::string &reason );
		xml2Error( const xmlDocPtr xmlDoc, const std::string &reason );
		xml2Error( const xmlXPathContextPtr xpathCtx, const xmlDocPtr xmlDoc, const std::string &reason );
		
		virtual ~xml2Error() throw();
};
